Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetGroupCallParticipantIsSpeaking

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetGroupCallParticipantIsSpeaking

Enclosing class:
  TdApi

public static final class TdApi.SetGroupCallParticipantIsSpeaking extends TdApi.Function<TdApi.Ok>
Informs TDLib that speaking state of a participant of an active group has changed.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`audioSource`
Group call participant's synchronization audio source identifier, or 0 for the current user.
`static final int`
`CONSTRUCTOR`
`int`
`groupCallId`
Group call identifier.
`boolean`
`isSpeaking`
True, if the user is speaking.

## Constructor Summary

Constructors
Constructor
Description
`SetGroupCallParticipantIsSpeaking()`
Informs TDLib that speaking state of a participant of an active group has changed.
`SetGroupCallParticipantIsSpeaking(int groupCallId, int audioSource, boolean isSpeaking)`
Informs TDLib that speaking state of a participant of an active group has changed.
`SetGroupCallParticipantIsSpeaking(DataInput input)`
Informs TDLib that speaking state of a participant of an active group has changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier.

### audioSource

public int audioSource
Group call participant's synchronization audio source identifier, or 0 for the current user.

### isSpeaking

public boolean isSpeaking
True, if the user is speaking.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetGroupCallParticipantIsSpeaking

public SetGroupCallParticipantIsSpeaking()
Informs TDLib that speaking state of a participant of an active group has changed.

Returns `Ok`

### SetGroupCallParticipantIsSpeaking

public SetGroupCallParticipantIsSpeaking(int groupCallId, int audioSource, boolean isSpeaking)
Informs TDLib that speaking state of a participant of an active group has changed.

Returns `Ok`

Parameters:
  `groupCallId` - int Group call identifier.
  `audioSource` - int Group call participant's synchronization audio source identifier, or 0 for the current user.
  `isSpeaking` - boolean True, if the user is speaking.

### SetGroupCallParticipantIsSpeaking

public SetGroupCallParticipantIsSpeaking(DataInput input) throws IOException
Informs TDLib that speaking state of a participant of an active group has changed.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`